=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2005-03-26 03:02:29 +0000
+++ bzrlib/commands.py	2005-03-28 02:32:30 +0000
@@ -244,20 +244,24 @@
 
 
 def cmd_diff(revision=None):
-    """Show diff from basis to working copy.
-
-    :todo: Take one or two revision arguments, look up those trees,
-           and diff them.
-
-    :todo: Allow diff across branches.
-
-    :todo: Mangle filenames in diff to be more relevant.
-
-    :todo: Shouldn't be in the cmd function.
-
-    TODO: Option to use external diff command; could be GNU diff,
-    wdiff, or a graphical diff.
-    """
+    """bzr diff: Show differences in working tree.
+    
+usage: bzr diff [-r REV]
+
+--revision REV
+    Show changes since REV, rather than predecessor.
+
+TODO: Given two revision arguments, show the difference between them.
+
+TODO: Allow diff across branches.
+
+TODO: Option to use external diff command; could be GNU diff, wdiff,
+or a graphical diff.
+
+TODO: Diff selected files.
+"""
+
+    ## TODO: Shouldn't be in the cmd function.
 
     b = Branch('.')
 

